Subject: Small Tillers....again!

From: [email-masked] (Wade Woodward)
Date: 6 Mar 1995 13:28:53 GMT

I know this was a topic several months ago, but for my birthday I get
to pick out any small tiller (attachments will have to be bought myself).
My choices are:
  1) Mantis
  2) Gardener's Supply - 1.6hp Tecumseh engine. This is the one I'm leaning
                         toward
  3) Troy built- New. Any one with any experience with it yet?
  4) ????
Any opinions on these, especially on the Gardener's Supply one please let
me know. I have moist clay soil with about 6" of topsoil. I plan to mix
in a sandy, composted mix. Thanks in advance!
Wade (zone 7-8, Birmingham, AL)
  ....On us all, a little rain must fall....